| Version: 3.0.4

Public Member Functions | Public Attributes | List of all members
wxMatrix2D Class Reference
Class List by Category » Miscellaneous

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/affinematrix2dbase.h>`

## Detailed Description

A simple container for 2x2 matrix.

This simple structure is used with wxAffineMatrix2D.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

Since
  2.9.2

## Public Member Functions
| wxMatrix2D (wxDouble v11=1, wxDouble v12=0, wxDouble v21=0, wxDouble v22=1)
| Default constructor. More...

## Public Attributes
wxDouble | m_11
| The matrix elements in the usual mathematical notation. More...
wxDouble | m_12
wxDouble | m_21
wxDouble | m_22

## Constructor & Destructor Documentation

## ◆ wxMatrix2D()

wxMatrix2D::wxMatrix2D | ( | wxDouble | v11 = `1`,
|  | wxDouble | v12 = `0`,
|  | wxDouble | v21 = `0`,
|  | wxDouble | v22 = `1`
| ) |  |

Default constructor.

Initializes the matrix elements to the identity.

## Member Data Documentation

## ◆ m_11

wxDouble wxMatrix2D::m_11

The matrix elements in the usual mathematical notation.

## ◆ m_12

wxDouble wxMatrix2D::m_12

## ◆ m_21

wxDouble wxMatrix2D::m_21

## ◆ m_22

wxDouble wxMatrix2D::m_22